module.exports = function(grunt) {

	grunt.initConfig({ 

		// for valiable
		pkg: grunt.file.readJSON('package.json'),


		// js: validate
		jshint: {
			beforeconcat: 'jsmod/mod/**/*.js'
		},

		// js: concat 
		concat: {
			dist: {
				dest: 'js/<%= pkg.name %>.js',
				src: [
					'jsmod/lib/**/zepto-*.js',
					'jsmod/lib/**/*.js',
					'!jsmod/lib/**/jquery-*.js',
					'jsmod/src/**/*.js'
				]
			}
		},

		// js: minify
		uglify: {
			dist: {
				src: '<%= concat.dist.dest %>',
				dest: 'js/<%= pkg.name %>.js'
			}
		},

		// compass config
		compass: {
			dist: {
				options: {
					config: 'config.rb'
				}
			},
			release: {
				options: {
					config: 'config.rb',
        			environment: 'production'
				}
			}
		},

	});


	require('load-grunt-tasks')(grunt, {pattern: ['grunt-contrib-*', 'grunt-shell']});

	grunt.registerTask('default', ['jshint', 'concat', 'compass:dist']);
	grunt.registerTask('r', ['jshint', 'concat', 'uglify', 'compass:release']);

};
